echo %date% %time% Starting TX troj 200kHz TX-2B >> C:\INSTALL.log 

set load_directory=released

set broadtype=tx

set type=stx200k

IF EXIST fpga.bin del fpga.bin
IF EXIST fpga.bsd del fpga.bsd
IF EXIST troj.enc del troj.enc
IF EXIST troj.bin del troj.bin
IF EXIST troj.hex del troj.hex

copy xc2v1000.bsd fpga.bsd

copy %broadtype%_troj.hex troj.hex

copy /B %load_directory%\%type%\fpga\*.bin fpga.bin 

Flash_sector troj.hex  fpga.bin troj.bin

flashenc 0x2B 0x10 512 500000 100 troj.bin troj.enc

lmtest halt_all.enc

sleep 1

lmtest halt_all.enc

sleep 1 

echo loading conversion troj

lmtest troj.enc

IF EXIST fpga.bin del fpga.bin
IF EXIST fpga.bsd del fpga.bsd
IF EXIST troj.enc del troj.enc
IF EXIST troj.bin del troj.bin
IF EXIST troj.hex del troj.hex

echo %date% %time% Completed TX troj200kHz TX-2B >> C:\INSTALL.log 
echo done loading conversion troj, recycle power and select convert

sleep 1

